Subject: Re: [PATCH 5/6] powerpc/kconfig: Move cpu options after platform options

From: Scott Wood <[email-masked]>
Date: Mon, 12 Oct 2015 16:47:18 -0500

On Fri, 2015-10-09 at 08:09 +1100, Michael Ellerman wrote:
> In general platforms are a more important configuration decision than
> cpus, so the platforms should come first.
> 
> My basis for saying that is that our cpu selection options are generally
> just about tuning for a cpu, rather than enabling/disabling support for
> a cpu. On the other hand disabling a platform means you can't boot on
> those machines, and any associated cpu options should vanish.

Kconfig.cputype *is* about enabling/disabling support for a cpu.  On 32-bit, 
the first choice is between "512x/52xx/6xx/7xx/74xx/82xx/83xx/86xx", 
"Freescale 85xx", "Freescale 8xx", "AMCC 40x", "AMCC 44x, 46x or 47x", or 
"Freescale e200".  Until that is set correctly, the platforms available for 
selection will not be correct.

Likewise, on 64-bit one must choose book3s versus book3e, before going on to 
the tuning selection you describe above.

-Scott